package com.zcloud.service.risk.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.risk.RiskPointTemporaryMapper;
import com.zcloud.service.risk.RiskPointTemporaryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：风险点台账
 * 作者：luoxiaobao
 * 时间：2020-12-29
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class RiskPointTemporaryServiceImpl implements RiskPointTemporaryService {


	@Autowired
	private RiskPointTemporaryMapper riskpointTemporaryMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		riskpointTemporaryMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		riskpointTemporaryMapper.delete(pd);
	}

	/**删除已经废弃的临时数据
	 * @param pd
	 * @throws Exception
	 */
	public void deleteAbandoned(PageData pd)throws Exception{
		riskpointTemporaryMapper.deleteAbandoned(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		riskpointTemporaryMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return riskpointTemporaryMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return riskpointTemporaryMapper.listAll(pd);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAllByTime(PageData pd)throws Exception{
		return riskpointTemporaryMapper.listAllByTime(pd);
	}

	/**根据创建时间和辨识部位查询集合
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAllByIdeAndTime(PageData pd)throws Exception{
		return riskpointTemporaryMapper.listAllByIdeAndTime(pd);
	}

	/**查询所有（资源库配置使用）
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAllToRes(PageData pd)throws Exception{
		return riskpointTemporaryMapper.listAllToRes(pd);
	}
	public List<PageData> listAllByDc(PageData pd)throws Exception{
		return riskpointTemporaryMapper.listAllByDc(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return riskpointTemporaryMapper.findById(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		riskpointTemporaryMapper.deleteAll(ArrayDATA_IDS);
	}

	/**总数统计
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public List<PageData> statisticsAll(PageData pd)throws Exception{
		return riskpointTemporaryMapper.statisticsAll(pd);
	}
	/**
	 * 列表 搜索 风险单元辨识部位模糊查询
	 * @param page
	 * @return
	 * @throws Exception
	 */
	public List<PageData> getListForLikeName (Page page)throws Exception{
		return riskpointTemporaryMapper.datalistPageForNameLikes(page);
	}

	/**app增加位置信息
	 * @param pd
	 * @throws Exception
	 */
	public void editLonAndLat(PageData pd) throws Exception {
		// TODO Auto-generated method stub
		riskpointTemporaryMapper.editLonAndLat(pd);
	}

	@Override
	public String countByCorpInfo(PageData pd) throws Exception {
		// TODO Auto-generated method stub
		return riskpointTemporaryMapper.countByCorpInfo(pd);
	}
}

